=== debian/changelog ===
ros-rolling-rmf-robot-sim-gazebo-plugins (1.2.0-2focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 12 Jul 2021 07:46:15 -0000

ros-rolling-rmf-robot-sim-gazebo-plugins (1.1.0-2focal) focal; urgency=high

  * Support cross-compiling with ROS 2 Foxy and Eloquent. [#103](https://github.com/osrf/rmf_demos/pull/103)
  * TeleportIngestorPlugin uses rmf_ingestor_msgs. [#117](https://github.com/osrf/rmf_demos/pull/117)
  * Modularized Readonly TeleportIngestorPlugin and TeleportDispenserPlugin to support both Gazebo and Ignition simulations. [#124, #134](https://github.com/osrf/rmf_demos/pull/124)
  * Contributors: Aaron Chong, Boon Han, Michael X. Grey, Yadu, mrushyendra

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 23 Sep 2020 00:00:00 -0000

ros-rolling-rmf-robot-sim-gazebo-plugins (1.0.0-2focal) focal; urgency=high

  * Provides the readonly Gazebo plugin that emulates the behavior of a read_only fleet type. When attached to a steerable vehicle that operates on a known traffic graph, the plugin publishes a prediction of the vehicle's intended path to the rmf traffic database via its configured read_only_fleet_adapter. Other fleets operating in the space can plan routes to avoid the path of this vehicle.
  * Provides TeleportDispenser Gazebo plugin that is attached to the TeleportDispenser model in rmf_demo_assets. When loaded into Gazebo along side a "payload" model, the plugin will teleport the payload onto the nearest robot when it registers a rmf_dispenser_msgs::DispenserRequest message with target_guid matching its model name.
  * Provides TeleportIngestor Gazebo plugin that is attached to the TeleportIngestor model in rmf_demo_assets. When loaded into Gazebo, the plugin will teleport the payload off the nearest robot and onto its location, when it registers a rmf_dispenser_msgs::DispenserRequest message with target_guid matching its model name.
  * Contributors: Aaron, Aaron Chong, Boon Han, Charayaphan Nakorn Boon Han, Luca Della Vedova, Yadu, Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 24 Jun 2020 00:00:00 -0000
