=== debian/control ===
Source: ros-rolling-rmf-robot-sim-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-robot-sim-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-robot-sim-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-robot-sim-common, ros-rolling-ros-workspace
Description: ROS 2 Gazebo plugins for TeleportIngestors, TeleportDispensers and Readonly Objects
